U++ - Bug #479
Core: AddStackTrace function on FreeBSD
05/24/2013 06:13 AM - Sender Ghost

Status: Approved Start date: 05/24/2013
Priority: High Due date:

Assignee: Miroslav Fidler % Done: 100%
Category: Core Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The AddStackTrace function requires to use backtrace and backtrace_symbols functions from execinfo.h header file. On the

FreeBSD they linked to libexecinfo library.

History

#1 - 05/24/2013 06:17 AM - Sender Ghost

- Assignee set to Miroslav Fidler

#2 - 05/24/2013 09:25 AM - Sender Ghost

Looks like, the same on the NetBSD and OpenBSD.

#3 - 05/25/2013 01:50 PM - Miroslav Fidler
- Status changed from Patch ready to Approved

Files

479_uppsrc.diff 351 Bytes
/redmine/projects/upp/repository/revisions/6028/entry/trunk/uppsrc/Core/Util.cpp#L42
http://www.freshports.org/devel/libexecinfo/
http://pkgsrc.se/devel/libexecinfo
ftp://ftp.openbsd.org/ports/devel/libexecinfo/

